## golang 1.5~rc1

=== debian/changelog ===
golang (2:1.5~rc1-0ubuntu1) wily; urgency=low

  [ Tianon Gravi ]
  * Upload to experimental.
  * Update to 1.5rc1 upstream release.
    - Compiler and runtime written entirely in Go.
    - Concurrent garbage collector.
    - GOMAXPROCS=runtime.NumCPU() by default.
    - "internal" packages for all, not just core.
    - Experimental "vendoring" support.
    - Cross-compilation no longer requires a complete rebuild of the stdlib in
      GOROOT, and thus the golang-go-GOHOST-GOARCH packages are removed.
  * Sync debian/copyright with the Ubuntu delta. (thanks doko!)

  [ Michael Hudson-Doyle ]
  * Update GO{HOST,}ARCH computation
  * Breaks/Replaces: older golang-golang-x-tools 
  * Two patches:
    - correct ELF header on armhf
    - disable duffzero on ppc64el

  [ Mathieu Trudel-Lapierre ]
  * debian/copyright: updated copyright file to fix some lintian warnings.
  * debian/source/lintian-overrides: silence some extra source-missing false
    positives.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Tue, 18 Aug 2015 16:05:37 +1200

golang (2:1.4.2-3ubuntu2) wily; urgency=medium

  * Fix installation of fake golang-go package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 May 2015 12:54:55 +0200

golang (2:1.4.2-3ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build empty golang-go and golang-src packages on architectures
      without golang support, and depend on gccgo instead.
    - golang-go: Conflict with golang-go (<< 2:1.3.3-1ubuntu2).
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/copyright: Amendments for full compliance with copyright format.
  * Remove generated override files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 May 2015 15:05:11 +0200
