## golang 1.5.1

=== debian/changelog ===
golang (2:1.5.1-3) unstable; urgency=medium

  * Remove architecture qualification on golang-go Build-Depend now that
    golang-go is available for more architectures.

 -- Tianon Gravi <tianon@debian.org>  Thu, 29 Oct 2015 07:40:38 -0700

golang (2:1.5.1-2) unstable; urgency=medium

  * Add Conflicts to force newer golang-golang-x-tools (Closes: #802945).

 -- Tianon Gravi <tianon@debian.org>  Tue, 27 Oct 2015 13:28:56 -0700

golang (2:1.5.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update to 1.5.1 upstream release (see notes from experimental uploads for
    what's changed).
  * Skip tests on architectures where the tests fail.

 -- Tianon Gravi <tianon@debian.org>  Sat, 24 Oct 2015 10:22:02 -0700

golang (2:1.5.1-1~exp2) experimental; urgency=medium

  * Upload to experimental.
  * Add arch-qualifiers to "golang-go" build-depends to unblock the buildds
    (Closes: #800479); thanks Tim!

 -- Tianon Gravi <tianon@debian.org>  Wed, 30 Sep 2015 11:19:26 -0700

golang (2:1.5.1-1~exp1) experimental; urgency=low

  * Upload to experimental.
  * Update to 1.5.1 upstream release (Closes: #796150).
    - Compiler and runtime written entirely in Go.
    - Concurrent garbage collector.
    - GOMAXPROCS=runtime.NumCPU() by default.
    - "internal" packages for all, not just core.
    - Experimental "vendoring" support.
    - Cross-compilation no longer requires a complete rebuild of the stdlib in
      GOROOT, and thus the golang-go-GOHOST-GOARCH packages are removed.
  * Sync debian/copyright with the Ubuntu delta. (thanks doko!)
  * Remove patches that no longer apply.
  * Add more supported arches to "debian/rules" code for detecting
    appropriate GOARCH/GOHOSTARCH values; thanks mwhudson and tpot!
    (Closes: #799907)
  * Refactor "debian/rules" to utilize debhelper more effectively, especially
    for arch vs indep building.
  * Move "dpkg-architecture" to "GOOS"/"GOARCH" code into a simple shell script
    for easier maintenance.

 -- Tianon Gravi <tianon@debian.org>  Fri, 25 Sep 2015 14:36:53 -0700
