=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: golang
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
-           Tianon Gravi <admwiggin@gmail.com>
+           Tianon Gravi <tianon@debian.org>
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
-Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase,
-               golang (>= 1:1.4~) | gccgo-5
-Build-Depends-Indep: po-debconf
+Build-Depends: bison,
+               debhelper (>= 7.4.10),
+               ed,
+               golang-go (>= 2:1.4.2-2~) | gccgo-5,
+               mawk | awk,
+               netbase,
+               perl
 Standards-Version: 3.9.6
 Homepage: https://golang.org
 
 Package: golang-go
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
-        golang-src (>= ${source:Version}),
-        gccgo [!armel !armhf !amd64 !i386 !arm64 !ppc64el]
-Breaks: golang-golang-x-tools (<= 1:0.0~git20150716.0.87156cb+dfsg1-3)
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
+Depends: golang-src (>= ${source:Version}),
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Replaces: golang-go-darwin-386,
           golang-go-darwin-amd64,
           golang-go-freebsd-386,
@@ -31,9 +34,15 @@
           golang-go-netbsd-386,
           golang-go-netbsd-amd64,
           golang-go-windows-386,
-          golang-go-windows-amd64,
-          golang-golang-x-tools (<= 1:0.0~git20150716.0.87156cb+dfsg1-3)
-Suggests: bzr, git, golang-go.tools, mercurial, subversion
+          golang-go-windows-amd64
+Conflicts: golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
+Recommends: g++, gcc, libc6-dev, pkg-config
+Suggests: bzr,
+          ca-certificates,
+          git,
+          golang-golang-x-tools,
+          mercurial,
+          subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
@@ -51,10 +60,8 @@
  pre-compile the standard library inside GOROOT for cross-compilation to work.
 
 Package: golang-src
-Replaces: golang-go (<< 2:1-3~)
-Breaks: golang-go (<< 2:1-3~)
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
@@ -69,7 +76,7 @@
  cross-compilation.
 
 Package: golang-doc
-Depends: ${misc:Depends}, golang-go
+Depends: golang-go, ${misc:Depends}
 Architecture: all
 Section: doc
 Description: Go programming language - documentation
@@ -88,10 +95,10 @@
  --http=:6060", and then visiting http://localhost:6060/doc/install.html.
 
 Package: golang
-Depends: ${misc:Depends},
-	 golang-go (>= ${source:Version}),
-	 golang-src (>= ${source:Version}),
-	 golang-doc (>= ${source:Version})
+Depends: golang-doc (>= ${source:Version}),
+         golang-go (>= ${source:Version}),
+         golang-src (>= ${source:Version}),
+         ${misc:Depends}
 Architecture: all
 Description: Go programming language compiler - metapackage
  The Go programming language is an open source project to make
