=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

export GOROOT := $(CURDIR)
export GOROOT_FINAL := /usr/lib/go

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
RUN_TESTS := true
ifeq (ppc64, $(DEB_HOST_ARCH_CPU))
	RUN_TESTS := false
endif

%:
	+dh --parallel $(opt_no_act) $@

override_dh_auto_clean:
	# remove autogenerated files
	rm -f \
		src/cmd/cgo/zdefaultcc.go \
		src/cmd/go/zdefaultcc.go \
		src/cmd/internal/obj/zbootstrap.go \
		src/runtime/zversion.go
	# remove built objects
	rm -rf bin pkg

override_dh_auto_test-arch:
ifeq (true, $(RUN_TESTS))
	set -ex; \
		cd src; \
		export PATH="$(GOROOT)/bin:$$PATH"; \
		eval "$$(go tool dist env)"; \
		bash run.bash --no-rebuild;
else
	# skip the tests on platforms where they fail
endif

override_dh_compress-indep:
	dh_compress -Xusr/share/doc/golang-doc/html -Xusr/share/doc/golang-doc/godoc

override_dh_install-indep:
	dh_install --fail-missing

override_dh_install-arch:
	dh_install --fail-missing
	# Remove Plan9 rc(1) scripts
	find debian/golang-src/usr/share/go/src -type f -name '*.rc' -delete
	# Remove empty /usr/share/go/src from golang-go, it is provided by golang-src
	find debian/golang-go/usr/share/go/src -type d -delete
	# Touch built and installed files and directories to have same timestamp
	touch debian/golang-go/usr/lib/go/pkg
	find debian/golang-go/usr/lib/go/pkg -exec touch -r $(CURDIR)/debian/golang-go/usr/lib/go/pkg {} \;

override_dh_strip:
	# strip disabled as golang upstream doesn't support it and it makes go
	# crash. See http://bugs.debian.org/717172

override_dh_shlibdeps:
	dh_shlibdeps -Xtestdata -Xtest

override_dh_auto_build-arch:
	[ -f VERSION ] || echo "debian snapshot +$$(dpkg-parsechangelog -SVersion)" > VERSION
	export GOROOT_BOOTSTRAP=$$(env -i go env GOROOT) \
		&& cd src \
		&& $(CURDIR)/debian/helpers/goenv.sh \
			bash ./make.bash --no-banner

opt_no_act :=
ifneq (,$(findstring n,$(MAKEFLAGS)))
	opt_no_act := --no-act
endif
