## golang 1.5.3

=== debian/changelog ===
golang (2:1.5.3-1) unstable; urgency=high

  * Update to 1.5.3 upstream release
    - Fix CVE-2015-8618: Carry propagation in Int.Exp Montgomery code in
      math/big library (Closes: #809168)
  * Add "Breaks" to properly complement our "Replaces" (Closes: #810595)

 -- Tianon Gravi <tianon@debian.org>  Thu, 14 Jan 2016 07:41:44 -0800

golang (2:1.5.2-1) unstable; urgency=medium

  * Update to 1.5.2 upstream release (Closes: #807136)

 -- Tianon Gravi <tianon@debian.org>  Tue, 05 Jan 2016 19:59:22 -0800

golang (2:1.5.1-4) unstable; urgency=medium

  * Add Conflicts to force newer golang-go.tools too (Closes: #803559)

 -- Tianon Gravi <tianon@debian.org>  Tue, 03 Nov 2015 21:57:54 -0800
