=== debian/control ===
--- 
+++ 
@@ -23,6 +23,18 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
+Breaks: golang-go-darwin-386,
+        golang-go-darwin-amd64,
+        golang-go-freebsd-386,
+        golang-go-freebsd-amd64,
+        golang-go-freebsd-arm,
+        golang-go-linux-386,
+        golang-go-linux-amd64,
+        golang-go-linux-arm,
+        golang-go-netbsd-386,
+        golang-go-netbsd-amd64,
+        golang-go-windows-386,
+        golang-go-windows-amd64
 Replaces: golang-go-darwin-386,
           golang-go-darwin-amd64,
           golang-go-freebsd-386,
@@ -35,7 +47,8 @@
           golang-go-netbsd-amd64,
           golang-go-windows-386,
           golang-go-windows-amd64
-Conflicts: golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
+Conflicts: golang-go.tools (<< 1:0.0~git20151026.0.0f9d71c-1~),
+           golang-golang-x-tools (<< 1:0.0~git20151026.0.0f9d71c-1~)
 Recommends: g++, gcc, libc6-dev, pkg-config
 Suggests: bzr,
           ca-certificates,
