## golang 1.6

=== debian/changelog ===
golang (2:1.6-1) unstable; urgency=medium

  * Update to 1.6 upstream release (thanks Hilko!)
    - change "ar" arguments to quiet spurious warnings while using gccgo
      (Closes: #807138)
    - skip multicast listen test (Closes: #814849)
    - skip userns tests when chrooted (Closes: #807303)
    - use correct ELF header for armhf binaries (Closes: #734357)
    - Update debian/rules clean for new location of generated file.

  [ Michael Hudson-Doyle ]
  * Respect "nocheck" in DEB_BUILD_OPTIONS while building to skip tests
    (Closes: #807290)
  * Trim Build-Depends (Closes: #807299)
  * Fix several minor debian/copyright issues (Closes: #807304)
  * Remove inconsistently included race-built packages (Closes: #807294)

  [ Tianon Gravi ]
  * Add "-k" to "run.bash" invocation so that we do a full test run every time

 -- Tianon Gravi <tianon@debian.org>  Mon, 29 Feb 2016 16:10:32 -0800
