=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 ifeq (ppc64, $(DEB_HOST_ARCH_CPU))
 	RUN_TESTS := false
 endif
+ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	RUN_TESTS := false
+endif
 
 %:
 	+dh --parallel $(opt_no_act) $@
@@ -20,7 +23,7 @@
 		src/cmd/cgo/zdefaultcc.go \
 		src/cmd/go/zdefaultcc.go \
 		src/cmd/internal/obj/zbootstrap.go \
-		src/runtime/zversion.go
+		src/runtime/internal/sys/zversion.go
 	# remove built objects
 	rm -rf bin pkg
 
@@ -30,7 +33,17 @@
 		cd src; \
 		export PATH="$(GOROOT)/bin:$$PATH"; \
 		eval "$$(go tool dist env)"; \
-		bash run.bash --no-rebuild;
+		bash run.bash -k -no-rebuild;
+	# -k           keep going even when error occurred
+	# -no-rebuild  don't rebuild std and cmd packages
+
+	# On linux/amd64 run.bash installs some race enabled standard library
+	# packages. Delete them again to avoid accidentally including them in
+	# the package.
+	set -ex; \
+		export PATH="$(GOROOT)/bin:$$PATH"; \
+		eval "$$(go tool dist env)"; \
+		rm -rf "$(GOROOT)/pkg/$${GOOS}_$${GOARCH}_race/"
 else
 	# skip the tests on platforms where they fail
 endif
