## golang 1.6.1

=== debian/changelog ===
golang (2:1.6.1-2) unstable; urgency=medium

  * Don't strip testdata files, causes build failures on some platforms. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Apr 2016 15:47:46 -0700

golang (2:1.6.1-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
    smooth upgrades.
  * Strip the binaries as it has worked for the last five years or so and
    upstream sees no reason to disable it.

  [ Tianon Gravi ]
  * Update to 1.6.1 upstream release (Closes: #820369)
    - Fix CVE-2016-3959: infinite loop in several big integer routines

 -- Tianon Gravi <tianon@debian.org>  Tue, 12 Apr 2016 23:06:43 -0700
