## golang 57.2

=== doc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../src/Make.inc

TARG=htmlgen
GOFILES=\
	htmlgen.go\

include ../src/Make.cmd
