=== misc/dashboard/builder/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=gobuilder
GOFILES=\
	exec.go\
	hg.go\
	http.go\
	main.go\
	package.go\

include ../../../src/Make.cmd
